rte_swx_table_learner_params(3)

NAME
rte_swx_table_learner_params

SYNOPSIS

#include <rte_swx_table_learner.h>

  Data Fields

uint32_t key_size
uint32_t key_offset
uint8_t * key_mask0
uint32_t action_data_size
rte_swx_hash_func_t hash_func
uint32_t n_keys_max
uint32_t * key_timeout
uint32_t n_key_timeouts

Detailed Description

Learner table creation parameters.

Definition at line 62 of file rte_swx_table_learner.h.

Field Documentation

  uint32_t key_size
Key size in bytes. Must be non-zero.

Definition at line 64 of file rte_swx_table_learner.h.

  uint32_t key_offset
Offset of the first byte of the key within the key buffer.

Definition at line 67 of file rte_swx_table_learner.h.

  uint8_t* key_mask0
Mask of key_size bytes logically laid over the bytes at positions key_offset .. (key_offset + key_size - 1) of the key buffer in order to specify which bits from the key buffer are part of the key and which ones are not. A bit value of 1 in the key_mask0 means the respective bit in the key buffer is part of the key, while a bit value of 0 means the opposite. A NULL value means that all the bits are part of the key, i.e. the key_mask0 is an all-ones mask.

Definition at line 76 of file rte_swx_table_learner.h.

  uint32_t action_data_size
Maximum size (in bytes) of the action data. The data stored in the table for each entry is equal to action_data_size plus 8 bytes, which are used to store the action ID.

Definition at line 81 of file rte_swx_table_learner.h.

  rte_swx_hash_func_t hash_func
Hash function. When NULL, the default hash function will be used.

Definition at line 85 of file rte_swx_table_learner.h.

  uint32_t n_keys_max
Maximum number of keys to be stored in the table together with their associated data.

Definition at line 88 of file rte_swx_table_learner.h.

  uint32_t* key_timeout
The set of all possible key timeout values measured in seconds. Each value must be non-zero. Each table key expires and is automatically deleted from the table after this many seconds.

Definition at line 94 of file rte_swx_table_learner.h.

  uint32_t n_key_timeouts
Number of possible key timeout values present in the key_timeout set. It must be less than or equal to RTE_SWX_TABLE_LEARNER_N_KEY_TIMEOUTS_MAX.

Definition at line 99 of file rte_swx_table_learner.h.

Author

Generated automatically by Doxygen for DPDK from the source code.